### Method

# CM RoomMessageEvent get_file_async

#### Declaration [src]

    void
    cm_room_message_event_get_file_async (
      CmRoomMessageEvent* self,
      GCancellable* cancellable,
      GFileProgressCallback progress_callback,
      gpointer progress_user_data,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Download a file asynchronously.

Run `cm_client_get_homeserver_finish()` to get an input stream.

This method completes asynchronously. Use `cm_room_message_event_get_file_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`progress_callback`

  Type: `GFileProgressCallback`

  A `GFileProgressCallback`.

`progress_user_data`

  Type: `gpointer`

  The user data for `progress_callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The user data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.